PipeWire: impl-module.c File Reference

PipeWire 0.3.20

Macros | Functions
impl-module.c File Reference
Include dependency graph for impl-module.c:

## Macros
#define | NAME "module"

## Functions
SPA_EXPORT struct pw_context * | pw_impl_module_get_context (struct pw_impl_module *module)
| Get the context of a module. More...
SPA_EXPORT struct pw_global * | pw_impl_module_get_global (struct pw_impl_module *module)
| Get the global of a module. More...
SPA_EXPORT const struct pw_properties * | pw_impl_module_get_properties (struct pw_impl_module *module)
| Get the node properties. More...
SPA_EXPORT int | pw_impl_module_update_properties (struct pw_impl_module *module, const struct spa_dict *dict)
| Update the module properties. More...
SPA_EXPORT const struct pw_module_info * | pw_impl_module_get_info (struct pw_impl_module *module)
| Get the module info. More...
SPA_EXPORT void | pw_impl_module_add_listener (struct pw_impl_module *module, struct spa_hook *listener, const struct pw_impl_module_events *events, void *data)
| Add an event listener to a module. More...

## Macro Definition Documentation

## ◆ NAME

#define NAME "module"

## Function Documentation

## ◆ pw_impl_module_add_listener()

SPA_EXPORT void pw_impl_module_add_listener | ( | struct pw_impl_module * | module,
|  | struct spa_hook * | listener,
|  | const struct pw_impl_module_events * | events,
|  | void * | data
| ) |  |

Add an event listener to a module.

## ◆ pw_impl_module_get_context()

SPA_EXPORT struct pw_context* pw_impl_module_get_context | ( | struct pw_impl_module * | module | ) |

Get the context of a module.

## ◆ pw_impl_module_get_global()

SPA_EXPORT struct pw_global* pw_impl_module_get_global | ( | struct pw_impl_module * | module | ) |

Get the global of a module.

## ◆ pw_impl_module_get_info()

SPA_EXPORT const struct pw_module_info* pw_impl_module_get_info | ( | struct pw_impl_module * | module | ) |

Get the module info.

## ◆ pw_impl_module_get_properties()

SPA_EXPORT const struct pw_properties* pw_impl_module_get_properties | ( | struct pw_impl_module * | module | ) |

Get the node properties.

## ◆ pw_impl_module_update_properties()

SPA_EXPORT int pw_impl_module_update_properties | ( | struct pw_impl_module * | module,
|  | const struct spa_dict * | dict
| ) |  |

Update the module properties.

References NAME, pw_log::pw_log_debug, PW_MODULE_CHANGE_MASK_PROPS, and pw_properties::pw_properties_update().